<?php
/**
 * The custom template to display the content
 *
 * Used for index/archive/search.
 *
 * @package EXPO
 * @since EXPO 1.0.50
 */

$expo_template_args = get_query_var( 'expo_template_args' );
if ( is_array( $expo_template_args ) ) {
	$expo_columns    = empty( $expo_template_args['columns'] ) ? 2 : max( 1, $expo_template_args['columns'] );
	$expo_blog_style = array( $expo_template_args['type'], $expo_columns );
} else {
	$expo_template_args = array();
	$expo_blog_style = explode( '_', expo_get_theme_option( 'blog_style' ) );
	$expo_columns    = empty( $expo_blog_style[1] ) ? 2 : max( 1, $expo_blog_style[1] );
}
$expo_blog_id       = expo_get_custom_blog_id( join( '_', $expo_blog_style ) );
$expo_blog_style[0] = str_replace( 'blog-custom-', '', $expo_blog_style[0] );
$expo_expanded      = ! expo_sidebar_present() && expo_get_theme_option( 'expand_content' ) == 'expand';
$expo_components    = ! empty( $expo_template_args['meta_parts'] )
							? ( is_array( $expo_template_args['meta_parts'] )
								? join( ',', $expo_template_args['meta_parts'] )
								: $expo_template_args['meta_parts']
								)
							: expo_array_get_keys_by_value( expo_get_theme_option( 'meta_parts' ) );
$expo_post_format   = get_post_format();
$expo_post_format   = empty( $expo_post_format ) ? 'standard' : str_replace( 'post-format-', '', $expo_post_format );

$expo_blog_meta     = expo_get_custom_layout_meta( $expo_blog_id );
$expo_custom_style  = ! empty( $expo_blog_meta['scripts_required'] ) ? $expo_blog_meta['scripts_required'] : 'none';

if ( ! empty( $expo_template_args['slider'] ) || $expo_columns > 1 || ! expo_is_off( $expo_custom_style ) ) {
	?><div class="
		<?php
		if ( ! empty( $expo_template_args['slider'] ) ) {
			echo 'slider-slide swiper-slide';
		} else {
			echo esc_attr( ( expo_is_off( $expo_custom_style ) ? 'column' : sprintf( '%1$s_item %1$s_item', $expo_custom_style ) ) . "-1_{$expo_columns}" );
		}
		?>
	">
	<?php
}
?>
<article id="post-<?php the_ID(); ?>" data-post-id="<?php the_ID(); ?>"
	<?php
	post_class(
			'post_item post_item_container post_format_' . esc_attr( $expo_post_format )
					. ' post_layout_custom post_layout_custom_' . esc_attr( $expo_columns )
					. ' post_layout_' . esc_attr( $expo_blog_style[0] )
					. ' post_layout_' . esc_attr( $expo_blog_style[0] ) . '_' . esc_attr( $expo_columns )
					. ( ! expo_is_off( $expo_custom_style )
						? ' post_layout_' . esc_attr( $expo_custom_style )
							. ' post_layout_' . esc_attr( $expo_custom_style ) . '_' . esc_attr( $expo_columns )
						: ''
						)
		);
	expo_add_blog_animation( $expo_template_args );
	?>
>
	<?php
	// Sticky label
	if ( is_sticky() && ! is_paged() ) {
		?>
		<span class="post_label label_sticky"></span>
		<?php
	}
	// Custom layout
	do_action( 'expo_action_show_layout', $expo_blog_id, get_the_ID() );
	?>
</article><?php
if ( ! empty( $expo_template_args['slider'] ) || $expo_columns > 1 || ! expo_is_off( $expo_custom_style ) ) {
	?></div><?php
	// Need opening PHP-tag above just after </div>, because <div> is a inline-block element (used as column)!
}
